| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class IfStmt

    java.lang.Object
      |
      +--Statement
            |
            +--IfStmt

public class IfStmt
extends Statement

Field Summary
`Statement` | `else_block`
`Expr` | `expr`
`boolean` | `hamaDebug`
`Statement` | `then_block`

Constructor Summary
`IfStmt()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `if_codegen(ClassFile classfile, CodeAttribute code, boolean not, de.dhbwstuttgart.typeinference.Menge paralist)`
`(package private) void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`(package private) void` | `set_Else_block(Statement blk)`
`(package private) void` | `set_Expr(Expr exp)`
`(package private) void` | `set_Then_block(Statement blk)`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hamaDebug

    public boolean hamaDebug

### expr

    public Expr expr

### then_block

    public Statement then_block

### else_block

    public Statement else_block

Constructor Detail

### IfStmt

    public IfStmt()

Method Detail

### set_Expr

    void set_Expr(Expr exp)

### set_Then_block

    void set_Then_block(Statement blk)

### set_Else_block

    void set_Else_block(Statement blk)

### sc_check

    void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                  java.util.Hashtable ch,
                  java.util.Hashtable bh,
                  boolean ext,
                  java.util.Hashtable parach,
                  java.util.Hashtable parabh)
            throws SCStatementException

  Specified by:
    `sc_check` in class `Statement`
    `SCStatementException`

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Statement`
    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           boolean not,
                           de.dhbwstuttgart.typeinference.Menge paralist)
                    throws JVMCodeException

    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD